%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		kwayland-integration

Summary:	Provides integration plugins for various KDE frameworks for the wayland windowing system
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	32dd5e7cb3e361db8d75559eee13d70f
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-kidletime-devel
BuildRequires:	kf5-kwayland-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Provides integration plugins for various KDE frameworks for the
wayland windowing system.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kidletime.platforms
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/org.kde.kidletime.platforms/KF5IdleTimeKWaylandPlugin.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kguiaddons/kmodifierkey/kmodifierkey_wayland.so
%{_datadir}/qlogging-categories5/kwindowsystem.kwayland.categories
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kwindowsystem/KF5WindowSystemKWaylandPlugin.so
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kwayland-integration.git;a=log;h=master

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f43f320
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bf8bf4c
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 51d0ea5
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8a57daa
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4b35b4b
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a9fd729
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3a7b62c
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8707ccb
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2a45c9b
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7e5d1d0
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> f0ad848
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b886d9c
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> d3b1d1e
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 9ecfbcd
- updated to 5.11.2

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 74e1f32
- release 2 (by relup.sh)

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 496e011
- updated BRs

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 65022ac
- updated to 5.5.4

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 808a276
- initial

